#ifndef __AutoSegment_H
#define __AutoSegment_H

#include "VKString.h"
#include "Sortable.h"
#include "FileManagement.h"

#include "RendererGLUT.h"
#include "DatabaseVisWindow.h"
#include "ModelDatabase.h"
#include "ShapeTriangleSoup.h"

#include "STemplate.h"
#include "VisShapeTemplate.h"
#include "AppScreenshots.h"
#include "TMatch.h"
#include "RendererOSMesa.h"
#include "TMatchAlg.h"
#include "STemplateNode.h"
#include "InitWordNet.h"

#include "CreateTemplate.h"
#include "AutoSegment.h"

STemplate *  AutoSegment(ModelDatabase * db, const VKString & modelname, bool readManifold, int ninit);
STemplate * CreateInitialBoxes(ShapePointCloud * pnts, int nseg,
							   const std::vector<std::vector<int> > & initClustering);
void CreateInitialSegmentation(ShapePointCloud * pnts, int nseg,
							   std::vector<std::vector<int> > & initClustering);


#endif