/***************************************************************************
 *   Copyright (C) 2008 by Vladimir Kim									   *
 *   Author: Vladimir Kim (vk@princeton.edu)							   *
 ***************************************************************************/

#ifndef __Model3DParser_H
#define __Model3DParser_H

#include <vector>
#include <iostream>
#include <assert.h>

#include "VKString.h"
#include "ParamParser.h"
#include "ShapeMaterials.h"
#include "ShapeLabels.h"

class Model3D;
class ShapeMesh;

class Model3DParser
{
	public:			
		virtual void LoadModelFile(Model3D * model, const VKString & filename,
								   const VKString & geometryName, int readFlags) = 0;
};

#endif
